Umgebung umgebung;
Fahrzeug fahrzeug;
Simulator simulator;
iRegler   regler;
Sensor sensor;
double RAUMBREITE = 10.0;
double PARCOURSRADIUS = 3.5;
double dt = 0.01;
long   DT = (long)(dt*1000.0);
public void setup()
{  
    umgebung = new Umgebung(RAUMBREITE,PARCOURSRADIUS);
    //public Fahrzeug(double skalierung, double x, double y, double phi)
    double x = RAUMBREITE/2.0 + 0.0;
    double y = RAUMBREITE/2.0 + PARCOURSRADIUS;
    double phi = 0.0;
    double skalierung = umgebung.holeSkalierung();
    double v_antrieb = 0.2;
    println(skalierung);
    fahrzeug = new Fahrzeug(skalierung,x,y,phi,v_antrieb);
    //public Simulator(long DT, Fahrzeug fahrzeug)
    regler = new PRegler(3.0);
    sensor = new Sensor(fahrzeug, umgebung);
    simulator = new Simulator(DT,fahrzeug,regler,sensor);
    size(900,700);
    frameRate(30);
}

public void draw()
{
     background(0);
     
     umgebung.draw();
     fahrzeug.draw();
}