public class Sensor
{
     Fahrzeug fahrzeug; 
     Umgebung umgebung;
     public Sensor(Fahrzeug fahrzeug, Umgebung umgebung)
     {
         this.fahrzeug = fahrzeug;
         this.umgebung = umgebung;
     }
     
     public double bestimmeRegelabweichung()
     {
          double x = fahrzeug.getX();
          double y = fahrzeug.getY();
          
          double kante = umgebung.getKante();
          double radius = umgebung.getRadius();
          
          double mx = kante/2.0;
          double my = kante/2.0;
          
          double radiusFahrzeug = Math.sqrt((x-mx)*(x-mx)+(y-my)*(y-my));
          
          double regelabweichung = radius - radiusFahrzeug;
          
          return regelabweichung;
     }
}